fc2Cond {codelink} | R Documentation

## Select probes based on fold change calculation

### Description

Takes a Codelink object and calculate fold changes (M) between two conditions (samples). Then select genes based on those who pass the passed cutoff.

### Usage

      fc2Cond(object, cond1=NULL, cond2=NULL, fc=1.0, verbose=FALSE)

### Arguments

`object` | an object of class "Codelink".
`cond1` | numeric or character; First condition to compute M.
`cond2` | numeric or character; Second condition to compute M.
`fc` | value of the fold change cutoff
`verbose` | logical; if some information is printed on the console.

### Details

Conditions can be passed as characters or as numeric index from the sample slot. The intensities are internally transformed to log2 if needed. The M value is computed as:

M = cond1 - cond2

### Value

A logical vector indicating which genes pass the cutoff

### Author(s)

Diego Diez

[Package codelink version 1.12.1 Index]